# Log

Package tourplaner.object

## Class Log

- java.lang.Object
- - tourplaner.object.Log

    public class Log
    extends java.lang.Object

### Constructor Summary

Constructors
`Log​(java.lang.String id, double dauer, java.time.LocalDate datum, double strecke, java.lang.String bemerkung, double hightmeter, double pause, java.lang.String rating)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAvgspeed()`
`java.lang.String` `getBemerkung()`
`java.time.LocalDate` `getDatum()`
`double` `getDauer()`
`double` `getGegangen()`
`double` `getHightmeter()`
`java.lang.String` `getId()`
`double` `getPause()`
`java.lang.String` `getRating()`
`double` `getStrecke()`
`void` `setAvgspeed​(double avgspeed)`
`void` `setBemerkung​(java.lang.String bemerkung)`
`void` `setDatum​(java.time.LocalDate datum)`
`void` `setDauer​(double dauer)`
`void` `setGegangen​(double gegangen)`
`void` `setHightmeter​(double hightmeter)`
`void` `setId​(java.lang.String id)`
`void` `setPause​(double pause)`
`void` `setRating​(java.lang.String rating)`
`void` `setStrecke​(double strecke)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Log

    public Log​(java.lang.String id,
               double dauer,
               java.time.LocalDate datum,
               double strecke,
               java.lang.String bemerkung,
               double hightmeter,
               double pause,
               java.lang.String rating)

### Method Detail

#### getRating

    public java.lang.String getRating()

#### setRating

    public void setRating​(java.lang.String rating)

#### getBemerkung

    public java.lang.String getBemerkung()

#### setBemerkung

    public void setBemerkung​(java.lang.String bemerkung)

#### getAvgspeed

    public double getAvgspeed()

#### setAvgspeed

    public void setAvgspeed​(double avgspeed)

#### getHightmeter

    public double getHightmeter()

#### setHightmeter

    public void setHightmeter​(double hightmeter)

#### getPause

    public double getPause()

#### setPause

    public void setPause​(double pause)

#### getGegangen

    public double getGegangen()

#### setGegangen

    public void setGegangen​(double gegangen)

#### getId

    public java.lang.String getId()

#### setId

    public void setId​(java.lang.String id)

#### getDauer

    public double getDauer()

#### setDauer

    public void setDauer​(double dauer)

#### getDatum

    public java.time.LocalDate getDatum()

#### setDatum

    public void setDatum​(java.time.LocalDate datum)

#### getStrecke

    public double getStrecke()

#### setStrecke

    public void setStrecke​(double strecke)